import { request } from "../requests";

export default class VoiceAPI {
  static enrollVoice = (payload: { video_url: string; user_id: string }) =>
    request("<BASE_URL>/voice/enroll", "POST", payload);

  static verifyVoice = (payload: {
    video_url: string;
    user_id: string;
    application_id: string;
  }) => request("<BASE_URL>/voice/verify", "POST", payload);

  static analyseVoice = (payload: {
    start: number;
    end: number;
    application_id: string;
  }) => request("<BASE_URL>/voice/analyse", "POST", payload);
}
